Loading...
Searching...
No Matches
exception.hpp File Reference

Includes customized exception types for the alignment module . More...

`#include <stdexcept>`
`#include <seqan3/core/platform.hpp>`
Include dependency graph for alignment/exception.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::gap_erase_failure
| Thrown in function seqan3::erase_gap, if a position does not contain a gap. More...
class | seqan3::invalid_alignment_configuration
| Thrown if the configuration of the alignment algorithm is invalid. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Includes customized exception types for the alignment module .

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me